
@     STM32F40x - F41x

@	.word	int_null	@ NMI
@	.word	int_null	@ Hard Fault
@	.word	int_null	@ MPU Fault
@	.word	int_null	@ Bus Fault
@	.word	int_null	@ Usage Fault
@	.word	0		@ Reserved
@	.word	0		@ Reserved
@	.word	0		@ Reserved
@	.word	0		@ Reserved
@	.word	int_null	@ SVCall
@	.word	int_null	@ Debug Monitor
@	.word	0		@ Reserved
@	.word	int_null	@ PendSV
@	.word	int_null	@ SysTick

@ External Interrupts
@	.word	int_null	@ Window Watchdog interrupt 
@	.word	int_null	@ PVD through EXTI line detection interrupt
@	.word	int_null	@ Tamper and TimeStamp interrupts through the EXTI line
@	.word	int_null	@ RTC Wakeup interrupt through the EXTI line
@	.word	int_null	@ Flash global interrupt
@	.word	int_null	@ RCC global interrupt
@	.word	int_null	@ EXTI Line0 interrupt
@	.word	int_null	@ EXTI Line1 interrupt
@	.word	int_null	@ EXTI Line2 interrupt
@	.word	int_null	@ EXTI Line3 interrupt
@	.word	int_null	@ EXTI Line4 interrupt
@	.word	int_null	@ DMA1 Stream0 global interrupt  
@	.word	int_null	@ DMA1 Stream1 global interrupt 
@	.word	int_null	@ DMA1 Stream2 global interrupt 
@	.word	int_null	@ DMA1 Stream3 global interrupt 
@	.word	int_null	@ DMA1 Stream4 global interrupt 
@	.word	int_null	@ DMA1 Stream5 global interrupt 
@	.word	int_null	@ DMA1 Stream6 global interrupt 
@	.word	int_null	@ ADC1, ADC2 and ADC3 global interrupts
@	.word	int_null	@ CAN1 TX interrupts 
@	.word	int_null	@ CAN1 RX0 interrupts 
@	.word	int_null	@ CAN1 RX1 interrupt 
@	.word	int_null	@ CAN1 SCE interrupt 
@	.word	int_null	@ EXTI Line[9:5] interrupts 
@	.word	int_null	@ TIM1 Break interrupt and TIM9 global interrupt
@	.word	int_null	@ TIM1 Update interrupt and TIM10 global interrupt
@	.word	int_null	@ TIM1 Trigger and Commutation interrupts and TIM11 global interrupt
@	.word	int_null	@ TIM1 Capture Compare interrupt 
@	.word	int_null	@ TIM2 global interrupt 
@	.word	int_null	@ TIM3 global interrupt 
@	.word	int_null	@ TIM4 global interrupt 
@	.word	int_null	@ I2C1 event interrupt
@	.word	int_null	@ I2C1 error interrupt
@	.word	int_null	@ I2C2 event interrupt
@	.word	int_null	@ I2C2 error interrupt
@	.word	int_null	@ SPI1 global interrupt
@	.word	int_null	@ SPI2 global interrupt
@	.word	int_null	@ USART1 global interrupt
@	.word	int_null	@ USART2 global interrupt
@	.word	int_null	@ USART3 global interrupt
@	.word	int_null	@ EXTI Line[15:10] interrupts
@	.word	int_null	@ RTC Alarms (A and B) through EXTI line interrupt
@	.word	int_null	@ USB On-The-Go FS Wakeup through EXTI line interrupt
@	.word	int_null	@ TIM8 Break interrupt and TIM12 global interrupt
@	.word	int_null	@ TIM8 Update interrupt and TIM13 global interrupt
@	.word	int_null	@ TIM8 Trigger and Commutation interrupts and TIM14 global interrupt
@	.word	int_null	@ TIM8 Capture Compare interrupt 
@	.word	int_null	@ DMA1 Stream7 global interrupt  
@	.word	int_null	@ FSMC global interrupt
@	.word	int_null	@ SDIO global interrupt
@	.word	int_null	@ TIM5 global interrupt
@	.word	int_null	@ SPI3 global interrupt
@	.word	int_null	@ UART4 global interrupt
@	.word	int_null	@ UART5 global interrupt
@	.word	int_null	@ TIM6 global interrupt, DAC1 and DAC2 underrun error interrupts
@	.word	int_null	@ TIM7 global interrupt
@	.word	int_null	@ DMA2 Stream0 global interrupt  
@	.word	int_null	@ DMA2 Stream1 global interrupt 
@	.word	int_null	@ DMA2 Stream2 global interrupt 
@	.word	int_null	@ DMA2 Stream3 global interrupt 
@	.word	int_null	@ DMA2 Stream4 global interrupt 
@	.word	int_null	@ Ethernet global interrupt 
@	.word	int_null	@ Ethernet Wakeup through EXTI line interrupt
@	.word	int_null	@ CAN2 TX interrupts
@	.word	int_null	@ CAN2 RX0 interrupts
@	.word	int_null	@ CAN2 RX1 interrupt
@	.word	int_null	@ CAN2 SCE interrupt
@	.word	int_null	@ USB On The Go FS global interrupt
@	.word	int_null	@ DMA2 Stream5 global interrupt  
@	.word	int_null	@ DMA2 Stream6 global interrupt  
@	.word	int_null	@ DMA2 Stream7 global interrupt  
@	.word	int_null	@ USART6 global interrupt 
@	.word	int_null	@ I2C3 event interrupt
@	.word	int_null	@ I2C3 error interrupt
@	.word	int_null	@ USB On The Go HS End Point 1 Out global interrupt 
@	.word	int_null	@ USB On The Go HS End Point 1 In global interrupt 
@	.word	int_null	@ USB On The Go HS Wakeup through EXTI interrupt 
@	.word	int_null	@ USB On The Go HS global interrupt 
@	.word	int_null	@ DCMI global interrupt 
@	.word	int_null	@ CRYP crypto global interrupt 
@	.word	int_null	@ Hash and Rng global interrupt  
@	.word	int_null	@ FPU global interrupt
